## gnome-keyring 48.0

=== meson_options.txt ===
option('ssh-agent',
  type: 'boolean',
  value: false,
  description: 'Include SSH agent in gnome-keyring',
)

option('selinux',
  type: 'feature',
  value: 'auto',
  description: 'Add support for SELinux',
)

option('systemd',
  type: 'feature',
  value: 'enabled',
  description: 'Add support for systemd socket activation',
)

option('pam',
  type: 'boolean',
  value: true,
  description: 'Build GNOME keyring PAM helper',
)

option('pkcs11-config',
  type: 'string',
  value: '',
  description: 'Directory to install PKCS#11 config (if empty, the default value for p11-kit will be used)',
)

option('pkcs11-modules',
  type: 'string',
  value: '',
  description: 'Directory to install PKCS#11 modules (if empty, the default value for p11-kit will be used)',
)

option('debug-mode',
  type: 'boolean',
  value: true,
  description: 'Turn on/off debug mode',
)

option('manpage',
  type: 'boolean',
  value: true,
  description: 'Build manpage',
)

=== debian/changelog ===
gnome-keyring (48.0-5) unstable; urgency=medium

  * Team upload
  * Add patch to fix secrets service on first log-in (Closes: #1035061)
    (LP: #2065296, #2125590)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 03 Oct 2025 15:42:48 +0200

gnome-keyring (48.0-4) unstable; urgency=medium

  * Team upload
  * d/maintscript: Remove obsolete autostart desktop file

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 14:17:44 +0200

gnome-keyring (48.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:19:26 -0400

gnome-keyring (48.0-2) experimental; urgency=medium

  * Team upload
  * Stop building gnome-keyring ssh-agent in favour of gcr4 ssh-agent

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 27 Jul 2025 16:56:56 +0200

gnome-keyring (48.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Explicitly enable ssh-agent
    (since the upstream default was switched in this release)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 15:18:42 +0100

gnome-keyring (48~beta-3) unstable; urgency=medium

  * Only build selinux support on Linux

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 13:53:14 -0500

gnome-keyring (48~beta-2) unstable; urgency=medium

  * Bump minimum glib
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 12:07:15 -0500

gnome-keyring (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Opt into dpkg build API v1
  * Add debian/upstream/metadata
  * debian/docs: AUTHORS is no longer provided
  * Run wrap-and-sort
  * Remove secure memory patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 09:27:03 -0500

=== debian/control ===
Source: gnome-keyring
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               dpkg-build-api (= 1),
               ca-certificates,
               dbus <!nocheck>,
               docbook-xml,
               docbook-xsl,
               libgck-1-dev (>= 3.3.4),
               libgcr-3-dev (>= 3.27.90),
               libgcrypt20-dev (>= 1.2.2),
               libglib2.0-dev (>= 2.80),
               libglib2.0-doc,
               libp11-kit-dev (>= 0.15.1),
               libpam0g-dev,
               libselinux1-dev [linux-any],
               libsystemd-dev [linux-any],
               libtasn1-6-dev,
               libtasn1-bin,
               meson,
               openssh-client,
               python3:native <!nocheck>,
               systemd-dev [linux-any],
               xsltproc
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-keyring
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-keyring.git
Homepage: https://wiki.gnome.org/GnomeKeyring

Package: gnome-keyring
Architecture: any
Multi-Arch: foreign
Depends: default-dbus-session-bus | dbus-session-bus,
         gcr (>= 3.4),
         p11-kit (>= 0.16),
         pinentry-gnome3,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-keyring-pkcs11, libpam-gnome-keyring
Description: GNOME keyring services (daemon and tools)
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 The program can manage several keyrings, each with its own master
 password, and there is also a session keyring which is never stored to
 disk, but forgotten when the session ends.

Package: gnome-keyring-pkcs11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME keyring module for the PKCS#11 module loading library
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PKCS#11 module that will allow using the GNOME
 keyring as a certificate database.

Package: libpam-gnome-keyring
Section: admin
Architecture: any
Multi-Arch: same
Depends: libpam-runtime (>= 1.0.1-6), ${misc:Depends}, ${shlibs:Depends}
Recommends: gnome-keyring
Description: PAM module to unlock the GNOME keyring upon login
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PAM module that will automatically unlock the
 keyrings using your login password, making gnome-keyring usage
 transparent without losing its security benefits.
 .
 When installed, this module will automatically be used by GDM and
 gnome-screensaver to unlock your keyrings when logging in and when
 unlocking the screen saver.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifneq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD = -Dsystemd=disabled -Dselinux=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(SYSTEMD)

execute_after_dh_install:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgnome-keyring usr/lib/systemd/user
endif

override_dh_auto_test:
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test

override_dh_gnome_clean:
